libmpq(3)

NAME
libmpq - cross-platform C library for manipulating mpq archives.

SYNOPSIS
#include <mpq.h>

int32_t libmpq__file_number(
        mpq_archive_s  *mpq_archive,
        const char     *filename,
        uint32_t       *number
);

DESCRIPTION

Call libmpq__file_number() to get the number of a given file in the archive. This function will return a file number regardless of a known or opened listfile.

The libmpq__file_number() function takes as first argument the archive structure mpq_archive which have to be allocated first and opened by libmpq__archive_open(). The second argument filename is the name of the file and the third argument is a reference to the number of the file.

RETURN VALUE
On success, the number of the file is returned and on error one of the following constants.

LIBMPQ_ERROR_EXIST
    File does not exist in archive.

AUTHOR
Check documentation.

libmpq is (c) 2003-2008
    Maik Broemme <mbroemme@plusserver.de>

The above e-mail address can be used to send bug reports, feedbacks or library enhancements.